/* $Id: cxp-gconf-pair-editor.h,v 1.2 2005/06/28 12:38:44 yasumichi Exp $ */
/**
 * \if japanese
 * @file
 * @brief GConfΥǥ쥯ȥˤڥΥԽ륦ɥ
 *
 * GConfΥǥ쥯ȥˤڥΥԽ뤿Υɥ
 * ̾ϡդˤʤͤǷꤵ롣
 * @author Yasumichi Akahoshi <yasumichi@users.sourceforge.jp>
 * @date Thu Mar 19 2005
 * $Revision: 1.2 $
 * \endif
 * \if english
 * @file
 * @brief Editor of GConf pair type.
 *
 *  Window where key to pair type that exists in specific directory of GConf is
 * edited.The key name is decided to become unique internally.
 * @author Yasumichi Akahoshi <yasumichi@users.sourceforge.jp>
 * @date Thu Mar 19 2005
 * $Revision: 1.2 $
 * \endif
 ****************************************************************************/

#ifndef CXP_GCONF_PAIR_EDITOR_H
#define CXP_GCONF_PAIR_EDITOR_H

/*
 * Potentially, include other headers on which this header depends.
 */
#include <gtk/gtk.h>
#include <glib-object.h>

#define CXP_TYPE_GCONF_PAIR_EDITOR		  (cxp_gconf_pair_editor_get_type ())
#define CXP_GCONF_PAIR_EDITOR(obj)		  (G_TYPE_CHECK_INSTANCE_CAST ((obj), CXP_TYPE_GCONF_PAIR_EDITOR, CxpGConfPairEditor))
#define CXP_GCONF_PAIR_EDITOR_CLASS(klass)	  (G_TYPE_CHECK_CLASS_CAST ((klass), CXP_TYPE_GCONF_PAIR_EDITOR, CxpGConfPairEditorClass))
#define CXP_IS_GCONF_PAIR_EDITOR(obj)	  (G_TYPE_CHECK_INSTANCE_TYPE ((obj), CXP_TYPE_GCONF_PAIR_EDITOR))
#define CXP_IS_GCONF_PAIR_EDITOR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), CXP_TYPE_GCONF_PAIR_EDITOR))
#define CXP_GCONF_PAIR_EDITOR_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), CXP_TYPE_GCONF_PAIR_EDITOR, CxpGConfPairEditorClass))

typedef struct _CxpGConfPairEditor CxpGConfPairEditor;
typedef struct _CxpGConfPairEditorClass CxpGConfPairEditorClass;

struct _CxpGConfPairEditor {
	GtkWindow parent;
};

struct _CxpGConfPairEditorClass {
	GtkWindowClass parent;
};

/* used by CXP_TYPE_GCONF_PAIR_EDITOR */
GType cxp_gconf_pair_editor_get_type (void);

/* API. */
GtkWidget *cxp_gconf_pair_editor_new(GtkWindow *parent, const gchar *title, const gchar *gconf_dir, const gchar *c1_title, const gchar *c2_title);

#endif /* CXP_GCONF_PAIR_EDITOR_H */
